package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.RelResAd1;

/** 水库行政信息关联 Service */
public interface RelResAd1Service {
    /**
     * 查询水库行政信息关联列表
     *
     * @param relResAd1 查询条件
     * @return 水库行政信息关联列表
     */
    public List<RelResAd1> selectRelResAd1List(RelResAd1 relResAd1);

    /**
     * 通过主键查询水库行政信息关联
     *
     * @param relResAd1 查询条件
     * @return 水库行政信息关联
     */
    public RelResAd1 selectRelResAd1ById(RelResAd1 relResAd1);

    /**
     * 删除水库行政信息关联
     *
     * @param relResAd1 删除条件
     * @return 删除行数
     */
    public int deleteRelResAd1ById(RelResAd1 relResAd1);

    /**
     * 新增水库行政信息关联
     *
     * @param relResAd1 水库行政信息关联
     * @return 插入行数
     */
    public int insertRelResAd1(RelResAd1 relResAd1);

    /**
     * 修改水库行政信息关联
     *
     * @param relResAd1 水库行政信息关联
     * @return 更新行数
     */
    public int updateRelResAd1(RelResAd1 relResAd1);
}
